/*******************************************************************
	WHATPATH	- 	1996 Marco Savegnago

	Utility che dato il nome di un file visualizza il path da cui
	viene chiamato.

*******************************************************************/


#include <stdio.h>
#include <dir.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

const char thisVersion[] = "1.0";

static void usage(void)
{
	printf
	(
		"Show the full calling path of the specified filename\n\n"
		"USAGE: WHATPATH path ...\n\n"
		/*
		"Options are:\n\n"
		"  -?/H  = this text\n"
		*/
	);

	exit(1);
}

static void showPath(char *name)
{
	char *path;

	strupr(name);

	path =  searchpath(name);

	if(path!= NULL)
		printf("The calling path of < %s > is:\n%s\n\n", name, path);
	else
		printf("None found!\n\n");

}

int main( int na, char *a[] )
{
	int i;
	char *p;

	printf( "\nWHATPATH %s - %s Marco Savegnago\n\n", thisVersion, __DATE__);

	if( na < 2)
			usage();

	/* Scan command line argument for the options */

	for( i=1;i<na;i++)
	{
		p=a[i];

		if(*p =='/' || *p=='-')
		{
			p++;
			switch(toupper(*p))
			{
				case '?':
				case 'H':
					usage();
				default:
					break;
			}
		}
		else
			showPath(p);
	}

	return( 0 );
}
